### Constructor

# Gtk.CClosureExpression.new

#### Declaration [src]

    GtkExpression*
    gtk_cclosure_expression_new (
      GType value_type,
      GClosureMarshal marshal,
      guint n_params,
      GtkExpression** params,
      GCallback callback_func,
      gpointer user_data,
      GClosureNotify user_destroy
    )

#### Description [src]

This function is a variant of `gtk_closure_expression_new()` that creates a `GClosure` by calling `g_cclosure_new()` with the given `callback_func`, `user_data` and `user_destroy`.

#### Parameters

`value_type` | `GType`
| the type of the value that this expression evaluates to
`marshal` | `GClosureMarshal`
| marshaller used for creating a closure
`n_params` | `guint`
| the number of params needed for evaluating `closure`
`params` | An array of `GtkExpression`
| expressions for each parameter
| The length of the array is in the `n_params` argument
| Ownership of the data is transferred to the callee
`callback_func` | `GCallback`
| callback used for creating a closure
`user_data` | `gpointer`
| user data used for creating a closure
`user_destroy` | `GClosureNotify`
| destroy notify for `user_data`

#### Return value

Returns: `GtkCClosureExpression`
a new `GtkExpression`
Ownership of the data is transferred to the caller